package jp.yoyoyoyo.webformmanager.model;

import java.util.HashMap;

public class ChangeStatusData {
	private String id;
	
	private int oldStatus;
	
	private String oldStatusText;
	
	private int newStatus;
	
	private String newStatusText;
	
	private String comment;
	
	private String operatorId;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public int getOldStatus() {
		return oldStatus;
	}

	public void setOldStatus(int oldStatus) {
		this.oldStatus = oldStatus;
	}

	public String getOldStatusText() {
		return oldStatusText;
	}

	public void setOldStatusText(String oldStatusText) {
		this.oldStatusText = oldStatusText;
	}

	public int getNewStatus() {
		return newStatus;
	}

	public void setNewStatus(int newStatus) {
		this.newStatus = newStatus;
	}

	public String getNewStatusText() {
		return newStatusText;
	}

	public void setNewStatusText(String newStatusText) {
		this.newStatusText = newStatusText;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}
	
	public String getOperatorId() {
		return operatorId;
	}

	public void setOperatorId(String operatorId) {
		this.operatorId = operatorId;
	}

	@SuppressWarnings("serial")
	public HashMap<Integer, String> constStatus = new HashMap<Integer, String>(){
		{
			put(0, "正常");
			put(1, "住所不明");
			put(2, "処理不可能");
			put(3, "発送停止");
			put(9, "その他");
		}
	};

}
